Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 153454 - Marker method under root method does not work correctly
Marker method under root method does not work correctly
Status: VERIFIED FIXED
Product: profiler
Classification: Unclassified
Component: Base
6.x
All All
: P2 (vote)
: 6.x
Assigned To: Tomas Hurka
issues@profiler
65fixes1-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-19 13:17 UTC by Tomas Hurka
Modified: 2009-05-22 10:39 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Hurka 2008-11-19 13:17:45 UTC
If the marker method is invoked from the root method, data from marker method is not included in live snapshot. In tutorial mentioned in issue #153450 Performance.doCountPrimeNumbers() is marker method. 

The workaround is to use total instrumentation instead of lazy one.
Comment 1 Tomas Hurka 2008-11-21 14:01:03 UTC
Fixed in profiler-main

changeset:   108180:b291a66f3ae8
user:        Tomas Hurka <thurka@netbeans.org>
date:        Fri Nov 21 11:36:20 2008 +0100
summary:     bugfix #153454, perform instrumentation of nearest callees if marker method is invoked under root method; emit MARKER_EXIT event even if 
marker method is invoked under root method - client side will handle it differently

changeset:   108181:a79589d3ef5c
user:        Tomas Hurka <thurka@netbeans.org>
date:        Fri Nov 21 11:48:58 2008 +0100
summary:     bugfix #153454, emit ROOT_ENTRY and ROOT_EXIT events if root method is invoked from marker method

Comment 2 Quality Engineering 2008-11-22 04:46:51 UTC
Integrated into 'main-golden', will be available in build *200811220201* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/b291a66f3ae8
User: Tomas Hurka <thurka@netbeans.org>
Log: bugfix #153454, perform instrumentation of nearest callees if marker method is invoked under root method; emit MARKER_EXIT event even if marker method is invoked under root method - client side will handle it differently
Comment 3 pgebauer 2008-11-24 09:30:57 UTC
The issue didn't pass the nomination process by nomination cut-off date. It has been marked as 65fixes2-candidate.
Comment 4 Rashid Urusov 2008-11-24 15:32:04 UTC
VERIFIED in Build 200811240201
Comment 5 pgebauer 2008-11-25 13:29:02 UTC
Based on the offline discussion, the issue will be part of 65patch1.

The fix has been ported into the release65_fixes repository.

http://hg.netbeans.org/release65_fixes/rev/70e5dcc1cd99

Comment 6 pgebauer 2008-11-25 13:29:43 UTC
Based on the offline discussion, the issue will be part of 65patch1.

The fix has been ported into the release65_fixes repository.

http://hg.netbeans.org/release65_fixes/rev/70e5dcc1cd99


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo